WLAGS49(4)

NAME
wlags49 - Agere Systems Wireless PC Card / PCI device drivers

wlags49_h2_cs.o - Hermes-II Card Services (PCMCIA/CF) driver
wlags49_h2.o - Hermes-II MiniPCI driver
wlags49_h25.o - Hermes-II.5 PCI/CardBus driver
wlags49_h25_cs.o- Hermes-II.5 Card Services (PCMCIA/CF) driver

SYNOPSIS
insmod wlags49_[h1,h2]_[cs].o
[Authentication=n] [AuthKeyMngmtSuite=????] [BRSC2GHz=b] [BRSC5GHz=b] [Coexistence=n] [Configured=????] [ConnectionControl=????] [CreateIBSS=s] [DebugFlag=n] [DesiredSSID=s] [DownloadFirmware=n] [DriverEnable=????] [EnableEncryption=s] [Encryption=????] [ExcludeUnencrypted=s] [IntraBSSRelay=s] [IrqList=i,j,...] [IrqMask=n] [Key1=s] [Key2=s] [Key3=s] [Key4=s] [LoadBalancing=s] [MaxSleepDuration=n] [MediumDistribution=s] [MicroWaveRobustness=s] [MulticastPMBuffering=s] [MulticastRate=n] [MulticastReceive=s] [NetworkAddress=n,n,n,n,n,n] [NetworkType=????] [OwnATIMWindow=n] [OwnBeaconInterval=n] [OwnChannel=n] [OwnDTIMPeriod=n] [OwnName=s] [OwnSSID=s] [pc_debug=n] [PMEnabled=b] [PMHoldoverDuration=n] [PortType=n] [PowerMode=????] [PromiscuousMode=s] [RejectANY=s] [RTSThreshold=n] [RTSThreshold1=n] [RTSThreshold2=n] [RTSThreshold3=n] [RTSThreshold4=n] [RTSThreshold5=n] [RTSThreshold6=n] [SRSC2GHz=b] [SRSC5GHz=b] [SystemScale=n] [TxKey=n] [TxRateControl=n] [TxRateControl1=n] [TxRateControl2=n] [TxRateControl3=n] [TxRateControl4=n] [TxRateControl5=n] [TxRateControl6=n] [WDSAddress=n,n,n,n,n,n] [WDSAddress1=n,n,n,n,n,n] [WDSAddress2=n,n,n,n,n,n] [WDSAddress3=n,n,n,n,n,n] [WDSAddress4=n,n,n,n,n,n] [WDSAddress5=n,n,n,n,n,n] [WDSAddress6=n,n,n,n,n,n]

DESCRIPTION
wlags49 is the low-level Card Services / PCI driver for the Wireless PC Card, Wireless Integrated Card, Wireless Embedded Card and other wireless adapters based on the Agere Systems Hermes-II, and Hermes-II.5 wireless MAC. When this driver is attached to a card, it allocates the next available ethernet device (eth0..eth#). This device name will be passed on to cardmgr(8), or the PCI subsystem, for the card configuration, and reported in the kernel log file with the I/O base address and MAC address used by the card.

FEATURES
 - Hot plug/unplug
 - Access Point and peer-to-peer communication
 - Card power management
 - Support for Hermes-II & Hermes-II.5 based PCMCIA, Mini PCI, and CardBus cards
 - Wired Equivalent Privacy (WEP)
 - WPA-PSK support (EXPERIMENTAL)
 - Driver utility interface (UIL)
 - Wireless Extensions
 - Software AP mode

PARAMETERS

Authentication=n
    Algorithm used for Authentication.
        1 - Open System
        2 - Shared Key
        Default: 1

Auth_key_mgmt_suite
    ???????????????

BRSC2GHz=b
    Sets the card's Basic Rate Set in the 2.4GHz band. See SRSC2GHz for the value's format.
        Default: 15 (or 0x000F, only 11b rates to accept legacy 11b stations)

BRSC5GHz-b
    Sets the card's Basic Rate Set in the 5.0GHz band. See SRSC2GHz for the value's format
        Default: 4080 (or 0x0FF0, all 11a rates)

Coexistence=n
    Used to make the 802.11a/b/g coexistence behavior more strict.
        Default - 0 (Use standard behavior)

ConnectionControl=n
    Configures the card's connection control process in dealing with multiple bands (802.11b/g vs. 802.11a).
        0 - Single Band operation in 2GHz
        1 - Single Band operation in 5GHz
        2 - Multiple Band operation starting with 2GHz
        3 - Multiple Band operation starting with 5GHz
        Default - 2

Configured
    ???????????????

ConnectionControl
    ???????????????

CreateIBSS=s
    Enable or disable IBSS Creation. For correct operation, specification of a OwnSSID is required. This mode requires firmware 6.04 or higher.
        N - Disable
        Y - Enable
        Default: N

DebugFlag=n
    Selects the driver debugging level. This parameter is only available if the module is compiled with debugging enabled. Refer to the file debug.h in the source directory for information on the flag values.
        0x00000001L - DBG_ERROR_ON
        0x00000002L - DBG_WARNING_ON
        0x00000004L - DBG_NOTICE_ON
        0x00000008L - DBG_TRACE_ON
        0x00000010L - DBG_VERBOSE_ON
        0x00000020L - DBG_PARAM_ON
        0x00000040L - DBG_BREAK_ON
        0x00000100L - DBG_RX_ON
        0x00000200L - DBG_TX_ON
        0x00000400L - DBG_DS_ON If the module is compiled with debugging enabled, DebugFlag defaults to DBG_ERROR_ON, DBG_WARNING_ON and DBG_BREAK_ON. DebugFlag overrules pc_debug.

DesiredSSID=s
    Same as OwnSSID.

DownloadFirmware=n
    This release of the driver introduces the ability to perform downloads of the STA/AP firmware. In fact, this is required for Hermes-II based cards. This parameter tells the driver which version of the firmware to download to the card.
        0 - No download performed (Hermes-I only)
        1 - Download STA firmware
        2 - Download AP firmware
        Default: 1, when STA mode functionality is
                    included in the build
                 2, when code is built exclusively for
                    AP mode

DriverEnable
    ???????????????

EnableEncryption=n
    Set the method of Data encryption.
        0 - Disable
        1 - Enable WEP Encryption
        2 - Enable WPA with TKIP encryption
        Default: 0

Encryption
    ???????????????

ExcludeUnencrypted=s
    Controls how the stations must communicate with the AP.
        Y - Stations must enable encryption and provide
             the proper encryption key to communicate
             with the AP.
        N - Stations do not need to enable encryption
             to communicate with the AP.
        Default: N

IntraBSSRelay=s
    Controls the automatic relay of received messages that are destined for other stations in the BSS.
        Y - Messages are relayed to the appropriate
             station(s).
        N - Messages are passed up to the host.
        Default: Y

IrqList=i,j,...
    Specifies the set of interrupts (up to 4) that may be allocated by this driver. This overrides the values set in the IrqMask parameter. NOTE: This parameter is for PCMCIA only.

IrqMask=n
    Specifies a mask of valid interrupts that may be allocated by this driver. If IrqList is also specified, the values in IrqList are used instead. NOTE: This parameter is for PCMCIA only.
        Default: 0xdeb8 (IRQ 3,4,5,7,9,10,11,12,14,15)

Key1=s
    Specifies one of 4 possible keys for the Data encryption. One of these keys, identified by TxKey, is used for the enciphering of Data that is transmitted by this station. All keys specified can be used for the deciphering of Data that is received. The key value can be an ASCII character string or a hexadecimal value. The length of the key value can be 5 characters or 10 hexadecimal digits for the standard encryption (Silver or Gold card), or 13 characters or 26 hexadecimal digits for the encryption with extended keys (Gold card only). The keys defined in the station must match the keys defined in the access points; both on value and number (1 through 4). In 2.0 series Linux kernel modules, values that begin with a number are considered integers. In this case a hexadecimal value string or a character string starting with a number, will need to be surrounded by escaped double quotes (ie. Key1=\"0x1122334455\" Key2=\"12xyz\").
        5 or 13, printable character string, or
        10 or 26 hex digits if preceded by "0x".
        If this parameter is omitted, the default of the MAC is used ( = 0-length).

Key2=s
    Same as Key1.

Key3=s
    Same as Key1.

Key4=s
    Same as Key1.

LoadBalancing=s
    Control for the Load Balancing algorithm for both STAs and APs. The AP includes a load balancing element in the Probe Response and Beacon frames. The STA uses this info to select an AP, not only based on comms quality, but also on the load of that AP.
        Default: Y

MaxDataLength
    ???????????????

MaxSleepDuration=n
    Set the maximum Power Management sleep duration in milliseconds. Valid values are 0 to 65535 milliseconds.
        Default: 100

MediumDistribution=s
    Control for the distribution of medium parameters, like communication thresholds, microwave robustness, RTS/CTS thresholds, by APs. The associated stations replace their own values with the received values.
        Default=Y

MicroWaveRobustness=s
    Enable or disable Microwave Oven Robustness.
        N - Disable
        Y - Enable
        Default: N

MulticastPMBuffering=s
    Controls buffering of multicast MAC frames for transmission after DTIM. If no, multicast MAC frames are directly placed in the output queue.
        Default: Y

MulticastRate=n
    Sets the data rate for multicast message transmission.
        1 - Fixed 1Mb/s
        2 - Fixed 2Mb/s
        3 - Fixed 5.5Mb/s
        4 - Fixed 11Mb/s
        Default: 2

    For Hermes-II.5, an INTEGER CONVERTED bit mask representing the rate to multicast, where the rates supported are as follows:

    Bit : 15|14|13|12|11|10|09|08|07|06|05|04|03|02|01|00
    ------------------------------------------------------
    Rate : XX|XX|XX|XX|54|48|36|24|18|12| 9| 6|11|5.5|2| 1

        Default: 4 (Translates to 0x0004 = 5.5 Mb/sec)

MulticastReceive=s
    Enable or disable receiving of all multicast packets when Card Power Management is enabled. When enabled, the station will wake up frequently to receive the multicast frames. This causes less optimal power savings.
        N - Disable
        Y - Enable
        Default: Y

NetworkAddress=n,n,n,n,n,n
    Sets the adapter hardware ethernet address (MAC address) to the value specified. Note that this is to be used to specify a Local MAC address. Do not specify this parameter if the card's universal address is to be used. Valid values are six hexadecimal digit-pairs (prefixed with 0x).
        Default: <factory assigned address>

NetworkType
    ???????????????

OwnATIMWindow=n
    ATIM window time used for creating an IBSS.
        Range: 0..100
        Default: 0

OwnBeaconInterval=b
    Beacon Interval in TU
        Range 20..200
        Default - 100

channel=n
    Same as OwnChannel.

OwnChannel=n
    Sets the channel the Ad-Hoc or IBSS mode will use. The default channel for Ad-Hoc mode is determined by the Wireless PC Card. The default channel for IBSS is set to 10 by the driver. This value has no effect when the adapter is used with an Access Point (BSS network) since the Access Point automatically determines the channel. Valid values are 0 to 14. However the channels allowed in your region are subject to local regulations and are limited at manufacturing time of the Wireless PC Card. When the provided value is not allowed, the value remains unchanged.
        0 - Use default channel
        Default: 0

OwnDTIMPeriod=n
    The number of beacon intervals between successive Delivery Traffic Identification Maps (DTIMs).
        Range: 1..65535
        Default: 1

OwnName=s
    Sets the station name to the specified string value. This parameter is used for diagnostic purposes, as a user-friendly identification of this system. This parameter accepts a maximum of 32 characters.
        Default: Linux

OwnSSID=s
    Sets the card network name to the specified string value. This parameter accepts a maximum of 32 characters. Whitespace in the network name will need to be escaped with a backslash (ie. OwnSSID=My\ Network).
        Default: ANY

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging. Higher values yield more information, i.e. for any value all lower values are implied.
        8 - DBG_DS_ON
        7 - DBG_RX_ON | DBG_TX_ON
        6 - DBG_PARAM_ON
        5 - DBG_TRACE_ON
        4 - DBG_VERBOSE_ON If the module is compiled with debugging enabled, pc_debug defaults to 5. DebugFlag overrules pc_debug. The name pc_debug rather than PcDebug, since pc_debug is used by many PCMCIA driver.

PMEnabled=b
    Sets the card's Power Management state.
        0 - Disable
        1 - Enable Enhanced Mode
        2 - Enabled Standard Mode
        0x8000 - Enhanced?????? Mode (to be combined with 0x0001 or 0x0002)

        Default: 0 (Disabled)

PMHoldoverDuration=n
    Time that the station remains in an awake state after a MAC frame transfer if Enhanced Power Save is active.
        Range: 1..1000
        Default: 100

PowerMode
    ???????????????

PortType=n
    Selects the type of network operation.
        1 - Normal Operation (BSS or IBSS)
        3 - Ad-Hoc Demo Mode
        Default: 1

PromiscuousMode=s
    Switch for promiscuous mode reception.
        Default: N

RejectANY=s
    Controls how stations associate to the device.
        Y - Stations must provide the correct SSID to
             associate to the AP.
        N - Stations are not required to provide the
             correct SSID to associate to the AP.
             Known as an 'open' network.
        Default - N

RTSThreshold=n
    Controls the RTS/CTS handshake threshold for transmissions in Station mode. Valid values are 0 to 2347.
        500 - Hidden Stations
        2347 - No RTS/CTS
        Default: 2347

RTSThreshold1=n
    Same as RTSThreshold, only for port 1 of in AccessPoint mode.

RTSThreshold2=n
    Same as RTSThreshold1, only for port 2.

RTSThreshold3=n
    Same as RTSThreshold1, only for port 3.

RTSThreshold4=n
    Same as RTSThreshold1, only for port 4.

RTSThreshold5=n
    Same as RTSThreshold1, only for port 5.

RTSThreshold6=n
    Same as RTSThreshold1, only for port 6.

SRSC2GHz=b
    Sets the card's Supported Rate Set in the 2.4GHz band. The value is an INTEGER CONVERTED bit mask representing the rates to support, where the rates supported are as follows:

    Bit : 15|14|13|12|11|10|09|08|07|06|05|04|03|02|01|00
    ------------------------------------------------------
    Rate : XX|XX|XX|XX|54|48|36|24|18|12| 9| 6|11|5.5|2| 1
        Default: 4095 (or 0x0FFF, all 11b and 11g rates)

SRSC5GHz=b
    Sets the card's Supported Rate Set in the 5.0GHz band. See SRSC2GHz for the value's format.
        Default: 4080 (or 0x0FF0, all 11a rates)

SystemScale=n
    Sets the distance between Access Points in the network. This value influences the Modem Thresholds (EnergyDetectThreshold, CarrierDetectThreshold and DeferThreshold) and the Roaming Thresholds (CellSearchThreshold and OutOfRangeThreshold).
        1 - Large
        2 - Medium
        3 - Small
        Default: 1

TxRateControl=n
    Sets the data rate to be used by the transmitter. For Hermes-II:
        1 - Fixed Low (1 Mb/sec)
        2 - Fixed Standard (2 Mb/sec)
        3 - Auto Rate Select High (11, 5.5, 2, 1 Mb/sec)
        4 - Fixed Medium (5.5 Mb/sec)
        5 - Fixed High (11 Mb/sec)
        6 - Auto Rate Select Standard (2, 1 Mb/sec)
        7 - Auto Rate Select Medium (5.5, 2, 1 Mb/sec)
        Default: 3

    For Hermes-II.5, an INTEGER CONVERTED bit mask representing all of the rates to support, where the rates supported are as follows:

    Bit : 15|14|13|12|11|10|09|08|07|06|05|04|03|02|01|00
    ------------------------------------------------------
    Rate : XX|XX|XX|XX|54|48|36|24|18|12| 9| 6|11|5.5|2| 1
        Default: 4095 (Translates to 0xFFF, which is all rates)

RTSThreshold=n
    Sets the number of octets in a message or fragment above which a RTS/CTS handshake is performed. Valid values are 0 to 2347.
        500 - Hidden Stations
        2347 - No RTS/CTS
        Default: 2347

TxKey=n
    Designates which of the keys is to be used for the enciphering of data that is transmitted by this station.
        Integer in the range 1..4.
        Default: 1

TxPowLevel
    ???????????????

TxRateControl=n
    Sets the data rate to be used by the transmitter in Station mode.
        1 - Fixed Low
        2 - Fixed Standard
        3 - Auto Rate Select (High)
        4 - Fixed Medium
        5 - Fixed High
        6 - Auto Rate Select (Standard)
        7 - Auto Rate Select (Medium)
        Default: 3

    For Hermes-II.5, an INTEGER CONVERTED bit mask representing all of the rates to support, where the rates supported are as follows:

    Bit : 15|14|13|12|11|10|09|08|07|06|05|04|03|02|01|00
    ------------------------------------------------------
    Rate : XX|XX|XX|XX|54|48|36|24|18|12| 9| 6|11|5.5|2| 1
        Default: 4095 (Translates to 0xFFF, which is all rates)

TxRateControl1=n
    Same as TxRateControl, only for port 1 in AccessPoint mode.

TxRateControl2=n
    Same as TxRateControl1, only for port 2.

TxRateControl3=n
    Same as TxRateControl1, only for port 3.

TxRateControl4=n
    Same as TxRateControl1, only for port 4.

TxRateControl5=n
    Same as TxRateControl1, only for port 5.

TxRateControl6=n
    Same as TxRateControl1, only for port 6.

VendorDescription
    ???????????????

WDSAddress=n,n,n,n,n,n
    MAC address that identifies the corresponding node of the WDS port in Station mode. Note that for WDS to work properly, a bridge interface must be setup between the device and the wds network devices created by the driver. For more information on bridge interfaces, please refer to the man page for 'brctl'.
        Default: 00:00:00:00:00:00

WDSAddress1=n,n,n,n,n,n
    Same as WDSAddress, only for port 1 in AccessPoint mode.

WDSAddress2=n,n,n,n,n,n
    Same as WDSAddress1, only for port 2.

WDSAddress3=n,n,n,n,n,n
    Same as WDSAddress1, only for port 3.

WDSAddress4=n,n,n,n,n,n
    Same as WDSAddress1, only for port 4.

WDSAddress5=n,n,n,n,n,n
    Same as WDSAddress1, only for port 5.

WDSAddress6=n,n,n,n,n,n
    Same as WDSAddress1, only for port 6.

SECURITY
On a multi-user system only the system administrator needs access to the WEP encryption keys. In this case, consider removing the read permission for normal users of the PCMCIA config.opts file, the system log file, and any Agere proprietary iwconfig-eth<n> scripts.

CONTACT
If you encounter problems when installing or using this product, or would like information about our other "Wireless" products, please contact your local Authorized "Wireless" Reseller or Agere Systems sales office.

Addresses and telephone numbers of the Agere Systems sales offices are listed on our Agere Systems web site.

WWW http://www.agere.com

SEE ALSO
cardmgr(8), pcmcia(5), ifconfig(8), insmod(8), brctl(8).